<?php
	/**
	 * The Template for displaying category posts
	 *
	 * @package     WordPress
	 * @subpackage  WebTouch
	 * @since       2017
	 */

	 include 'helper/helper.php';

	 // Category Title
	 $context['title'] = single_cat_title('', false);

	 //Current Category
	 $current_taxonomy = null;
	 if (get_queried_object() != null) {
		 $current_taxonomy = get_queried_object();
		 $context['post'] = get_term_by('slug', $current_taxonomy->slug, 'category');
	 } else {
		 $context['post'] = get_term_by('slug', $params["category"], 'category');
		 $current_taxonomy = $context['post'];
	 }
	 $context['slug'] = $current_taxonomy->slug;

	 $context['current_cat'] = get_queried_object();

	 // Categories
	 $context['categories'] = Timber::get_terms('category', array('hide_empty' => true, 'orderby' => 'name', 'order' => 'asc'));

	 // Posts
	 $args = array(
		 'post_type' => 'post',
		 'tax_query' => array(
			 array(
				 'taxonomy' => 'category',
				 'field' => 'slug',
				 'terms' => $current_taxonomy->slug,
			 ),
		 ),
		 'posts_per_page' => '-1',
		 'paged' => $paged
	 );
	 $context['posts'] = new Timber\PostQuery($args);

	Timber::render('pages/category.twig', $context);
