<?php

// Custom Admin Bar
function wt_custom_admin_bar()
{
    global $wp_admin_bar;
    $wp_admin_bar->remove_menu('wp-logo');
    $wp_admin_bar->remove_menu('about');
    $wp_admin_bar->remove_menu('wporg');
    $wp_admin_bar->remove_menu('documentation');
    $wp_admin_bar->remove_menu('support-forums');
    $wp_admin_bar->remove_menu('feedback');
    $wp_admin_bar->remove_menu('site-name');
    $wp_admin_bar->remove_menu('view-site');
    $wp_admin_bar->remove_menu('comments');
    $wp_admin_bar->remove_menu('new-content');
    $wp_admin_bar->remove_menu('new-media');
    $wp_admin_bar->remove_menu('new-user');
    $wp_admin_bar->remove_menu('wpseo-menu'); //Yoast
    $wp_admin_bar->remove_menu('leadin-admin-menu'); //Hubspot
}
add_action('wp_before_admin_bar_render', 'wt_custom_admin_bar');

// Add Logo in Bar Menu
function wt_custom_menu_logo($wp_admin_bar)
{
    if (is_admin()) {
        $url = get_bloginfo('url');
    } else {
        $url = get_admin_url();
    }

    $args = array(
        'id' => 'webtouch',
        'title' => '<img style="width: auto !important; height: 18px !important; vertical-align: middle;" src="' . get_bloginfo('template_url') . '/assets/images/admin/logo-admin.svg">',
        'href' => $url,
    );

    $wp_admin_bar->add_node($args);
}
add_action('admin_bar_menu', 'wt_custom_menu_logo', 1);

// Remove Admin Pages
function wt_remove_menus()
{
    // remove_menu_page('index.php');                  // Dashboard
    // remove_menu_page('edit.php');                   // Posts
    // remove_menu_page('upload.php');                 // Media
    // remove_menu_page('edit.php?post_type=page');    // Pages
    remove_menu_page('edit-comments.php'); // Comments
    // remove_menu_page('themes.php');                 // Appearance
    // remove_menu_page('plugins.php');                // Plugins
    // remove_menu_page('users.php');                  // Users
    // remove_menu_page('options-general.php');        // Settings
    // remove_menu_page('tools.php');                      // Tools
}
add_action('admin_menu', 'wt_remove_menus');

// Custom Admin Footer
function wt_update_footer_admin()
{
    echo "Desenvolvido por <a href='http://www.webtouch.com.br'>WebTouch</a>";
}
add_filter('admin_footer_text', 'wt_update_footer_admin');
