<?php
/**
 * The template for the blog posts
 *
 * @package     WordPress
 * @subpackage  WebTouch
 * @since       2017
 */

include 'helper/helper.php';

global $paged;
if (!isset($paged) || !$paged) {
    $paged = 1;
}

if ($_GET['pagina']) {
    $paged = $_GET['pagina'];
}

$context['page'] = $paged;

// categories
$context['categories'] = Timber::get_terms('category', array('hide_empty' => true, 'orderby' => 'name', 'order' => 'asc'));

// Posts
$args = array(
    'post_type' => 'post',
    'posts_per_page' => '13',
    'paged' => $paged,
);
$context['posts'] = new Timber\PostQuery($args);

// Post most views
$argsMostViews = array(
    "posts_per_page" => 3,
    "orderby" => "meta_value_num",
    "meta_key" => "post_views_count",
);
$context["most_posts"] = new Timber\PostQuery($argsMostViews);

// Pagination
$context['pagination'] = Timber::get_pagination();

// Template components
$context['title'] = 'Diário da duda';

Timber::render('pages/blog.twig', $context);
