<?php
/**
 * The template for displaying single posts
 *
 * @package     WordPress
 * @subpackage  WebTouch
 * @since       2017
 */

include 'helper/helper.php';

$categories = get_the_category($post->ID);

// categories
$context['categories'] = Timber::get_terms('category', array('hide_empty' => true, 'orderby' => 'name', 'order' => 'asc'));

// Posts relationship
$args = array(
    'post__not_in' => array($post->ID),
    'post_type' => 'post',
    'tax_query' => array(
        array(
            'taxonomy' => 'category',
            'field' => 'slug',
            'terms' => $categories[0]->slug,
        ),
    ),
    'posts_per_page' => '3',
);
$context['relationship'] = new Timber\PostQuery($args);

// Post
$context['post'] = Timber::query_post();

// Banner
$context['banner'] = get_field('banner', 12);

// Count post view
$argsMostViews = array(
    "posts_per_page" => 3,
    "orderby" => "meta_value_num",
    "meta_key" => "post_views_count",
);
$context["most_posts"] = new Timber\PostQuery($argsMostViews);
setPostViews($post->ID);

Timber::render('singles/blog.twig', $context);
